System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.ControlBuilder

By default, every user control on a page is associated with a default class. Page developers do not use the class directly. User control authors might create custom user control builder functionality by extending this class.

Supports the ASP.NET page parser in building an instance of a user control.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Object To be added.

  Builds an instance of the control identified by the property.

  An instance of a user control identified by .

- Method
  System.Boolean

  If the method returns true, the method is called. When the control is built in a designer environment, the property returns true.

  Determines whether the control builder needs to get the control's inner text.

  true if the control builder requires the control's inner text; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Provides the object with the inner text of the control tag.

  The text to be provided. 1.0.5000.0 2.0.0.0